﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Xml.Linq;

namespace PlayerCSharpAI2.api
{
	public class LiquorStore
	{
		private LiquorStore(XElement elemCompany)
		{
			Name = elemCompany.Attribute("name").Value;
			BusStop = new Point(Convert.ToInt32(elemCompany.Attribute("bus-stop-x").Value),
				Convert.ToInt32(elemCompany.Attribute("bus-stop-y").Value));
		}

		/// <summary>
		/// The name of the liquor store.
		/// </summary>
		public string Name { get; private set; }

		/// <summary>
		/// The tile with the store's bus stop.
		/// </summary>
		public Point BusStop { get; private set; }

		public static List<LiquorStore> FromXml(XElement elemStores)
		{
			List<LiquorStore> stores = new List<LiquorStore>();
			foreach (XElement elemStoreOn in elemStores.Elements("store"))
				stores.Add(new LiquorStore(elemStoreOn));
			return stores;
		}

		public override string ToString()
		{
			return string.Format("{0}; {1}", Name, BusStop);
		}
	}
}